> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# トランザクションステップレポートをダウンロード

> 非推奨です。Business Processing Reporting Warehouse からトランザクションステップデータの CSV レポートを同期的にダウンロードします。このエンドポイントは、大きな日付範囲も確実に処理できる非同期 v2 エクスポートワークフローに置き換えられています。[Create transaction steps export](/api-reference/report/create-transaction-steps-export) でエクスポートを作成し、ステータスをポーリングしてから結果ファイルをダウンロードしてください。CSV 列のリファレンスについては、[Business Processing Reporting](/vantage/developer/reporting/business-reporting) を参照してください。



## OpenAPI

````yaml /ja/openapi-reporting-v1.json get /api/reporting/v1/transaction-steps
openapi: 3.0.4
info:
  description: >-
    Vantage Reporting API のバージョン
    1。このバージョンは非推奨であり、既存の統合向けにのみドキュメントが提供されています。新規開発には Vantage Reporting
    API（v2）を使用してください。v1 の QA レポートエンドポイントには v2
    の直接対応するエンドポイントがあり、同期トランザクションステップレポートは、[Create transaction steps
    export](/api-reference/report/create-transaction-steps-export) から開始する非同期 v2
    エクスポートワークフローに置き換えられています。データレポートをダウンロードできるのは、テナント管理者または Processing Supervisor
    ロールを持つユーザーのみです。レポート用データウェアハウスの概要については、[Reporting
    service](/vantage/developer/reporting/reporting-service) ガイドを参照してください。
  title: Abbyy.Vantage.Reporting.Service
  version: '1.0'
  x-application-version: 1.5.2
servers:
  - description: 本番環境（米国）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（欧州）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリア）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v1/transaction-steps:
    get:
      tags:
        - Report v1
      summary: トランザクションステップレポートをダウンロード
      description: >-
        非推奨です。Business Processing Reporting Warehouse からトランザクションステップデータの CSV
        レポートを同期的にダウンロードします。このエンドポイントは、大きな日付範囲も確実に処理できる非同期 v2
        エクスポートワークフローに置き換えられています。[Create transaction steps
        export](/api-reference/report/create-transaction-steps-export)
        でエクスポートを作成し、ステータスをポーリングしてから結果ファイルをダウンロードしてください。CSV
        列のリファレンスについては、[Business Processing
        Reporting](/vantage/developer/reporting/business-reporting) を参照してください。
      operationId: GetTransactionStepsCsv
      parameters:
        - description: トランザクションの Skill ID でフィルタリングします。Skill ID フィルタを適用しない場合は {NULL} を指定します。
          in: query
          name: skillId
          schema:
            type: string
        - description: トランザクション ID でフィルタリングします。ID フィルタを適用しない場合は {NULL} を指定します。
          in: query
          name: transactionId
          schema:
            type: string
        - description: RFC 3339 で定義されたトランザクション日の最小値
          in: query
          name: startDate
          schema:
            format: date-time
            type: string
        - description: RFC 3339 で定義されるトランザクション日時の上限（空の場合は UtcNow）
          in: query
          name: endDate
          schema:
            format: date-time
            type: string
      responses:
        '200':
          description: トランザクションステップ
      deprecated: true
components:
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
      type: oauth2

````